This is a Laravel 5 package that provides ico_setting management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `icosettings/ico_setting`.

    "icosettings/ico_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Icosettings\IcoSetting\Providers\IcoSettingServiceProvider::class,

```

And also add it to alias

```php
'IcoSetting'  => Icosettings\IcoSetting\Facades\IcoSetting::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Icosettings\IcoSetting\Providers\IcoSettingServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Icosettings\IcoSetting\Providers\IcoSettingServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Icosettings\IcoSetting\Providers\IcoSettingServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Icosettings\IcoSetting\Providers\IcoSettingServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Icosettings\IcoSetting\Providers\IcoSettingServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Icosettings\IcoSetting\Providers\IcoSettingServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


